use strict;
use File::Copy;
# d make script 
# 
our @CSRC = qw(
	shdocvw.c
);
our @DSRC = qw(
	pes/conv
	pes/date
	pes/variant
	pes/wrapper
	pes/data/sqlite3
	pes/data/sqliteserializer
	pes/data/inifile
	pes/exception
	pes/string
	pes/checksum
	pes/path
	pes/wstring
	
	pes/net/http/status
	pes/net/http/header
	pes/net/http/message
	pes/net/http/requestgenerator
	pes/net/http/responselistener
	pes/net/http/connection
	pes/net/http/singlegetrequest
	pes/net/http/all
	
	pes/net/shingetsu/util
	pes/net/shingetsu/get
	pes/net/shingetsu/gatewayio
	pes/net/shingetsu/serverio
	pes/net/shingetsu/adminio
	pes/net/shingetsu/threadio
	pes/net/shingetsu/all
	
	main
	icon
	daemonmanager
	browser
	control
	config
	threadcache
	schema
	
	shdocvw.obj
);
# core.def

our $DMC	= "dmc";
our $CFLAGS	= "-c";

our $DMD	= "dmd";
our $IMPLIB	= "implib/system";
our $OBJDIR	= "obj";
our $DEBUG	= "";
our $BIN	= "hoven.exe";
our $DFLAGS	= " -op -od$OBJDIR -of$BIN  -version=build -version=OLE_COM -version=DRAG_DROP ";
our $CPLDIR	= "src";

if ($ARGV[0] eq 'release') {
	print "release mode\n";
	$DFLAGS .= " -inline -O -L/SUBSYSTEM:windows:5  ";
} elsif ($ARGV[0] eq 'debug') {
	$DFLAGS .= " -g -debug=1 ";
} else {
	$DFLAGS .= " -g  -debug=1 -L/SUBSYSTEM:windows:5 ";
}

#---------- line of end of configure

chdir($CPLDIR) or die $!;

our $OBJS = undef;

unless (-d $OBJDIR) {
	my @dir = split('/', $OBJDIR);
	my $path;
	$path = undef;
	foreach (@dir) {
		$path .= $_.'/';
		unless (-d $path) {
			mkdir($path) or die "mkdir $path: $!\n";
			warn "note: mkdir $path\n";
		}
	}
}
foreach (@DSRC) {
	my @dir = split('/', $_);
	my $path;
	$#dir--;
	$path = $OBJDIR;
	foreach (@dir) {
		$path .= '/'.$_;
		unless (-d $path) {
			mkdir($path) or die "mkdir $path: $!\n";
			warn "note: mkdir $path\n";
		}
	}
	$OBJS .= ' '.$_;
}

# compile
system("$DMC $CFLAGS @CSRC");
system("$DMD $OBJS $DFLAGS");;
copy($BIN, '../saku/'.$BIN);
