module pes.net.http.message;

private import pes.net.http.header;

class HTTPMessage
{
protected:
	HTTPHeader			m_header;
	void[]				m_body;
	
public:
	this() {}
	this(HTTPHeader head, void[] data)
	{
		setHeader = head;
		setBody = data;
	}
	
	HTTPHeader getHeader()
	{
		return m_header;
	}
	
	void setHeader(HTTPHeader header)
	{
		m_header = header;
	}
	
	char[] getBodyText()
	{
		return cast(char[])m_body;
	}
	
	ubyte[] getBodyBinary()
	{
		return cast(ubyte[])m_body;
	}
	
	void[] getBody()
	{
		return m_body;
	}
	
	void setBody(void[] data)
	{
		m_body = data;
	}
}

