module pes.net.shingetsu.threadio;

private import std.socket;
private import std.uri;
private import pes.net.http.all;
private import pes.net.shingetsu.util;
private import pes.net.shingetsu.get;

class ThreadIO: ShinGETsuIO
{
protected:
	class RegisterThreadRequest: SingleGetRequest
	{
		this(char[] thread_name)
		{
			super(std.string.format("/thread.cgi/%s", std.uri.encode(thread_name)));
		}
	}
	
public:
	this(InternetAddress address)
	{
		super(address);
	}
	
	// スレッド登録
	void registerThread(char[] thread_name_utf8)
	{
		RegisterThreadRequest 	generator 	= new RegisterThreadRequest(thread_name_utf8);
		get(generator);
	}
}

