module pes.string;

private import std.string;
private import std.ctype;

// 制限split
// そのうちちゃんと作る
char[][] limitedSplit(char[] data, char[] dm, int count)
in {
	assert(count > 0);
}
body {
	char[][] parts = split(data, dm);
	if (parts.length <= count) {
		return parts;
	}
	int i;
	char[][] new_parts;
	for (i = 0; i < count-1; ++i) {
		new_parts ~= parts[i];
	}
	new_parts ~= std.string.join(parts[i .. length], dm);
	
	return new_parts;
}

uint getCharCount(char[] text)
{
	wchar[] wtext = std.utf.toUTF16(text);
	return wtext.length;
}

uint getMultiCharCount(char[] text)
{
	wchar[] wtext = std.utf.toUTF16(text);
	uint ascii_count = 0;
	foreach (c; wtext) {
		if (std.ctype.isascii(c)) {
			++ascii_count;
		}
	}
	
	return (wtext.length - ascii_count);
}
