#include <windows.h>
#include <ShlObj.h>
#include <ObjIdl.h>
#include <UrlMon.h>
/**
 * uCɓɒǉvuCɓ̐v_CAO\֐ 
 *
 */

typedef BOOL (CALLBACK* LPFNORGFAV)(HWND, CHAR*);
typedef BOOL (CALLBACK* LPFNADDFAV)(HWND, CHAR*, UINT, CHAR*, UINT, LPITEMIDLIST);
typedef LPITEMIDLIST (CALLBACK* LPFNCRPATH)(LPCTSTR);



/*
 * Cɓ̐
 * 
 */
BOOL doOrganizeFavoriteFolderDialog(
	HWND hWindow,		// Window Handle, NULLȊȌꍇModalɂȂ
	IN CHAR* szPath) 	// CɓtH_̃[gpX
{
	BOOL 		bResult 			= FALSE;
	LPFNORGFAV 	DoOrganizeFavDlg 	= NULL;
	HMODULE 	hModuleShdocvw 		= (HMODULE)LoadLibrary("shdocvw.dll");
	
	if(!hModuleShdocvw) {
		return FALSE;
	}
	
	DoOrganizeFavDlg = (LPFNORGFAV)GetProcAddress(hModuleShdocvw, "DoOrganizeFavDlg");
	if (DoOrganizeFavDlg) {
		bResult = DoOrganizeFavDlg(hWindow, szPath);
	}
	
	FreeLibrary(hModuleShdocvw);
}

/**
 * Cɓɒǉ
 * 
 * remark: ɂ́uIv.urlt@C̍쐬͌Ăяoōs
 */
BOOL doAddToFavoriteFolderDialog(
	HWND hWindow,			// Window Handle, NULLȊȌꍇModalɂȂ
	IN OUT CHAR *szPath,	// IN: CɓtH_̃[gpX, OUT: IꂽpX
	UINT nPathLength,		// szPathOUTpɎgobt@TCY
	IN OUT CHAR *szTitle,	// IN: ^Cgl, OUT: Iꂽ^Cg
	UINT nTitleLenght)		// szTitleOUTpɎgobt@TCY
{
	BOOL 		bResult				= FALSE;
	LPFNADDFAV 	DoAddToFavDlg 		= NULL;
	LPFNCRPATH	ILCreateFromPath	= NULL;
	HMODULE 	hModuleShdocvw 		= (HMODULE)LoadLibrary("shdocvw.dll");
	HMODULE		hModuleShell32		= (HMODULE)LoadLibrary("shell32.dll");
	LPITEMIDLIST pItemIdList;
	
	if(!hModuleShdocvw) {
		return FALSE;
	}
	if (!hModuleShell32) {
		FreeLibrary(hModuleShdocvw);
		return FALSE;
	}
	
	IMalloc *pAllocator;
	
    SHGetMalloc(&pAllocator);
	
	ILCreateFromPath = (LPFNCRPATH)GetProcAddress(hModuleShell32, "ILCreateFromPathA");
	if (!ILCreateFromPath) {
		FreeLibrary(hModuleShdocvw);
		FreeLibrary(hModuleShell32);
		pAllocator->lpVtbl->Release(pAllocator);
		return FALSE;
	}
	pItemIdList = ILCreateFromPath(szPath);
	if (!pItemIdList) {
		FreeLibrary(hModuleShdocvw);
		FreeLibrary(hModuleShell32);
		pAllocator->lpVtbl->Release(pAllocator);
		return FALSE;
	}
	
	DoAddToFavDlg = (LPFNADDFAV)GetProcAddress(hModuleShdocvw, "DoAddToFavDlg");
	if (DoAddToFavDlg) {
		bResult = DoAddToFavDlg(hWindow, szPath, nPathLength,
								szTitle, nTitleLenght, pItemIdList);
	}
	
	pAllocator->lpVtbl->Free(pAllocator, pItemIdList);
	pAllocator->lpVtbl->Release(pAllocator);
	
	FreeLibrary(hModuleShdocvw);
	FreeLibrary(hModuleShell32);
	
	return bResult;
}


typedef HRESULT (CALLBACK* LPGETOPT)(
    DWORD dwOption,
    LPVOID pBuffer,
    DWORD dwBufferLength,
    DWORD *pdwBufferLength,
    DWORD dwReserved
);

HRESULT urlMkGetSessionOption(
    DWORD dwOption,
    LPVOID pBuffer,
    DWORD dwBufferLength,
    DWORD *pdwBufferLength,
    DWORD dwReserved
)
{
	HRESULT		result;
	LPGETOPT 	UrlMkGetSessionOption 	= NULL;
	HMODULE 	hModuleUrlMon 			= (HMODULE)LoadLibrary("urlmon.dll");
	
	if(!hModuleUrlMon) {
		return FALSE;
	}
	
	UrlMkGetSessionOption = (LPGETOPT)GetProcAddress(hModuleUrlMon, "UrlMkGetSessionOption");
	if (UrlMkGetSessionOption) {
		result = UrlMkGetSessionOption(dwOption, pBuffer, dwBufferLength, pdwBufferLength, dwReserved);
	}
	
	FreeLibrary(hModuleUrlMon);
	return result;
}

typedef HRESULT (CALLBACK* LPSETOPT)(
    DWORD dwOption,
    LPVOID pBuffer,
    DWORD dwBufferLength,
    DWORD dwReserved
);

HRESULT urlMkSetSessionOption(
    DWORD dwOption,
    LPVOID pBuffer,
    DWORD dwBufferLength,
    DWORD dwReserved
)
{
	HRESULT		result;
	LPSETOPT 	UrlMkSetSessionOption 	= NULL;
	HMODULE 	hModuleUrlMon 			= (HMODULE)LoadLibrary("urlmon.dll");
	
	if(!hModuleUrlMon) {
		return FALSE;
	}
	
	UrlMkSetSessionOption = (LPSETOPT)GetProcAddress(hModuleUrlMon, "UrlMkSetSessionOption");
	if (UrlMkSetSessionOption) {
		result = UrlMkSetSessionOption(dwOption, pBuffer, dwBufferLength, dwReserved);
	}
	
	FreeLibrary(hModuleUrlMon);
	return result;
}











