﻿<?xml version="1.0"?>
<!--
/* Hoven DEFAULT-STYLE
 * Copyright (C) 2006 Hoven Project.
 */
-->

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 	xmlns="http://www.w3.org/1999/xhtml" version="1.0">
<xsl:output
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="DTD/xhtml1-transitional.dtd"/>
	<xsl:template match="/">
		<xsl:element name="html">
		<xsl:element name="head">
			<xsl:element name="title">
				<xsl:text>投稿: </xsl:text><xsl:value-of select="SHINGETSU/INFO/TITLE"/>
			</xsl:element>
			<xsl:element name="link">
				<xsl:attribute name="rel">
					<xsl:text>stylesheet</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="type">
					<xsl:text>text/css</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="href">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '00default.css')"/>
				</xsl:attribute>
			</xsl:element>
			
			<!--Convert Number to Id-->
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="src">
					<xsl:value-of select="concat(SHINGETSU/INFO/THEME, '/', '30no2id.js')"/>
				</xsl:attribute>
				<xsl:text><!--include--></xsl:text>
			</xsl:element>
			<xsl:element name="script">
				<xsl:attribute name="type">
					<xsl:text>text/javascript</xsl:text>
				</xsl:attribute>
				<xsl:text>var numberIdTable = new Array;</xsl:text>
				<xsl:text>var numberIdTableMax = </xsl:text>
				<xsl:value-of select="/SHINGETSU/INFO/ENDNO" />
				<xsl:text>;</xsl:text>
				<xsl:text>var numberIdTableMin = </xsl:text>
				<xsl:value-of select="/SHINGETSU/INFO/BEGINNO" />
				<xsl:text>;</xsl:text>
				
				<!-- List -->
				<xsl:for-each select="SHINGETSU/ITEMS/ITEM">
					<xsl:text>numberIdTable[</xsl:text>
					<xsl:value-of select="NO"/>
					<xsl:text>]='</xsl:text>
					<xsl:value-of select="ID"/>
					<xsl:text>';</xsl:text>
				</xsl:for-each>
				<xsl:text>
				function doSubmitConv(s) {
					return no2id(s);
				}
				</xsl:text>
			</xsl:element>
			
		</xsl:element><!--END OF HEAD-->
		
		<xsl:element name="body">
			<xsl:element name="form">
				<xsl:attribute name="id">
					<xsl:text>postarticle</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="name">
					<xsl:text>postarticle</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="method">
					<xsl:text>post</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="action">
					<xsl:value-of select="concat(SHINGETSU/INFO/GATEWAY, 'thread.cgi')"/>
				</xsl:attribute>
				<xsl:attribute name="enctype">
					<xsl:text>multipart/form-data</xsl:text>
				</xsl:attribute>
				<xsl:attribute name="onSubmit">
					<xsl:text>return doSubmitConv();</xsl:text>
				</xsl:attribute>
				<xsl:element name="p">
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>hidden</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>cmd</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text>post</xsl:text>
						</xsl:attribute>
					</xsl:element>
					
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>hidden</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>file</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:value-of select="SHINGETSU/INFO/FILE"/>
						</xsl:attribute>
					</xsl:element>
					
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>submit</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>submit</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text>　投稿　</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>1</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>w</xsl:text>
						</xsl:attribute>
					</xsl:element>
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>checkbox</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>dopost</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text>dopost</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="checked">
							<xsl:text>checked</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>2</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>s</xsl:text>
						</xsl:attribute>
					</xsl:element>
					<xsl:element name="span">
						<xsl:attribute name="title">
							<xsl:text>掲示板の最初の書き込みで、なおかつ匿名性を保ちたいときだけ無効にしてください</xsl:text>
						</xsl:attribute>
						<xsl:text>他のノードにも通知する</xsl:text>
					</xsl:element>
					
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>checkbox</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>error</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text>error</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="checked">
							<xsl:text>checked</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>2</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>e</xsl:text>
						</xsl:attribute>
					</xsl:element>
					<xsl:element name="span">
						<xsl:attribute name="title">
							<xsl:text>匿名性の保持のための機能。連続投稿するときは無効にしてください</xsl:text>
						</xsl:attribute>
						<xsl:text>書き込み時刻に誤差</xsl:text>
					</xsl:element>
					<xsl:element name="br"/>
					
					<xsl:text>名前:</xsl:text>
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>text</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>name</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="size">
							<xsl:text>15</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text></xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>3</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>n</xsl:text>
						</xsl:attribute>
					</xsl:element>
					
					<xsl:text>E-mail:</xsl:text>
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>text</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>mail</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="size">
							<xsl:text>15</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text></xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>4</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>m</xsl:text>
						</xsl:attribute>
					</xsl:element>
					
					<xsl:text>署名:</xsl:text>
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>password</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>passwd</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="size">
							<xsl:text>15</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text></xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>5</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>p</xsl:text>
						</xsl:attribute>
					</xsl:element>
					
					<xsl:element name="br"/>
					<xsl:text>添付ファイル:</xsl:text>
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>file</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>attach</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="size">
							<xsl:text>19</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text></xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>6</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>a</xsl:text>
						</xsl:attribute>
					</xsl:element>
					
					<xsl:element name="input">
						<xsl:attribute name="type">
							<xsl:text>hidden</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>suffix</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="value">
							<xsl:text>AUTO</xsl:text>
						</xsl:attribute>
						<xsl:text></xsl:text>
					</xsl:element>
					<xsl:text>(最大: 10MB)</xsl:text>
					
					<xsl:element name="textarea">
						<xsl:attribute name="rows">
							<xsl:text>8</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="cols">
							<xsl:text>57</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="name">
							<xsl:text>body</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="tabindex">
							<xsl:text>10</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="accesskey">
							<xsl:text>c</xsl:text>
						</xsl:attribute>
						<xsl:variable name="target">
							<xsl:value-of select="SHINGETSU/INFO/TARGET"/>
						</xsl:variable>
						<xsl:if test="$target!=''">
							<xsl:value-of select="concat('&gt;&gt;', $target)"/>
						</xsl:if>
						<xsl:text></xsl:text>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:element>
</xsl:template>
</xsl:stylesheet>
