/** コントロール	*/
module control;


private import std.string;
private import std.socket;
private import std.c.time;
private import std.c.stdlib;
private import std.conv;
private import std.windows.charset;
private import std.gc;
private import std.regexp;
private import std.file;
private import std.path;
private import std.uri;
private import std.utf;
private import std.stdarg;
private import pes.data.sqlite3;
private import pes.data.sqliteserializer;
private import pes.variant;
private import pes.wrapper;
private import icon;
private import std.stdio;
private import dwt.all;
private import dwt.internal.win32.os;

///version = OLE_COM;

// Variant
alias pes.variant.Variant PESVariant;

public const char[] GUI_CONFIG_DB = "environ.db";

class ControlBase
{
protected:
	SQLiteSerializer	m_serializer;
	
public:
	this()
	{
		m_serializer = new SQLiteSerializer(GUI_CONFIG_DB, this.classinfo.name);
	}
	
	/** GUI設定情報取得	*/
	VArray getGUIConfig()
	{
		return m_serializer.deserialize();
	}
	
	/** GUI設定情報設定	*/
	void setGUIConfig(VArray array)
	{
		return m_serializer.serialize(array);
	}
}

public Image getSystemIcon()
{
	return getIcon("saku");
}
