﻿
module pes.exception;
// よく使いそうな例外を入れとく

class AlreadyExists: Exception
{
	this(char[] name)
	{
		super(name ~ ": already exists");
	}
}

class NotFound: Exception
{
	this(char[] name)
	{
		super(name ~ ": not found");
	}
}

class NotImplemented: Exception
{
	this (char [] class_name, char [] method)
	{
		super("`" ~ class_name ~ "' does not implement a Function `" ~ method ~ "'");
	}
}

class IllagelArgument: Exception
{
	this(char [] msg)
	{
		super(msg);
	}
}

class NumericExpressionException: Exception
{
	this(char [] msg)
	{
		super(msg);
	}
}


