module pes.net.shingetsu.util;

private import std.uri;
private import std.utf;
private import std.string;
private import pes.conv;

char[] hexStringToUTF8(char[] hexstring)
{
	char[] utf8string;
//	try {
		utf8string = cast(char[])hexStringToBinary(hexstring);
		std.utf.validate(utf8string);
//	} catch (UtfException e) {
//		utf8string = null; // error
//	}
	
	return utf8string;
}

char[] decodeThreadName(char[] file_name)
in {
	assert(file_name.length > 7);
	assert(std.string.ifind(file_name, "thread_") == 0);
}
body {
	return hexStringToUTF8(file_name[7 .. length]);
}

char[] encodeThreadName(char[] name)
{
	return std.string.format("thread_%s",
			std.string.toupper(binaryToHexString(cast(ubyte[])name)));
}

